Sync with portage [Sun Dec 31 14:46:18 MSK 2017].

mhiretskiy 1040
root 6 years ago
parent be821f5084
commit b2074d9678

Binary file not shown.

Binary file not shown.

@ -1,8 +1,7 @@
# Copyright 1999-2012 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="2"
inherit eutils
EAPI=6
DESCRIPTION="Finnish diphones and text to speech script for festival"
HOMEPAGE="http://www.ling.helsinki.fi/suopuhe"
@ -15,29 +14,27 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="perl"
RDEPEND=">=app-accessibility/festival-1.96_beta"
RDEPEND="
>=app-accessibility/festival-1.96_beta
dev-lang/perl"
DEPEND=""
src_prepare(){
cd "${WORKDIR}/lavennin/bin"
epatch "${FILESDIR}/${P}_lavennin_path.patch"
}
S=${WORKDIR}
PATCHES=( "${FILESDIR}"/${P}_lavennin_path.patch )
src_install() {
cd "${WORKDIR}"
dodoc festival/lib/voices/finnish/hy_fi_mv_diphone/README.mv
rm festival/lib/voices/finnish/hy_fi_mv_diphone/{README.mv,LICENSE}
insinto /usr/share/festival/
cd festival/lib/
doins -r voices/
cd "${WORKDIR}/lavennin/"
rm festival/lib/voices/finnish/hy_fi_mv_diphone/{README.mv,LICENSE} || die
insinto /usr/share/festival
doins -r festival/lib/voices
cd "${WORKDIR}"/lavennin/ || die
newdoc README.txt README.lavennin
dodoc man/*.shtml
if use perl; then
newbin bin/lavennin suopuhe-lavennin
dodir /usr/share/suopuhe/data/
insinto /usr/share/suopuhe
doins -r data

@ -3,8 +3,8 @@
# Not sending this to upstrem.
# neurogeek@gentoo.org
--- bin/lavennin.orig 2009-05-08 01:05:48.000000000 -0430
+++ bin/lavennin 2009-05-08 01:07:07.000000000 -0430
--- a/lavennin/bin/lavennin
+++ b/lavennin/bin/lavennin
@@ -164,8 +164,8 @@
$HOME = get_home_directory();
}

@ -1,7 +1,7 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=2
EAPI=6
DESCRIPTION="HTS voices for Festival"
HOMEPAGE="http://hts.sp.nitech.ac.jp/"
@ -18,10 +18,12 @@ SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""
DEPEND=">=app-accessibility/festival-1.96"
RDEPEND="${DEPEND}"
DEPEND=""
RDEPEND=">=app-accessibility/festival-1.96"
S=${WORKDIR}
src_install() {
insinto /usr/share/festival/voices/
doins -r lib/voices/*
insinto /usr/share/festival/voices
doins -r lib/voices/.
}

@ -1,7 +1,8 @@
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="2"
EAPI=6
MY_PN=msu_ru_nsh_clunits
DESCRIPTION="Russian voices for Festival"
@ -16,12 +17,14 @@ IUSE=""
RDEPEND=">=app-accessibility/festival-1.96_beta"
DEPEND=""
S=${WORKDIR}
src_install() {
dodoc "${MY_PN}/README" || die "Could not install README"
rm "${MY_PN}/{README,COPYING}"
dodoc ${MY_PN}/README
insinto "/usr/share/festival/voices/russian/"
doins -r "${MY_PN}/" || die "Could not install Russian Voices"
insinto /usr/share/festival/voices/russian
rm ${MY_PN}/{README,COPYING} || die
doins -r ${MY_PN}
}
pkg_postinst() {

@ -1,7 +1,7 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=2
EAPI=6
DESCRIPTION="A plugin which enables text-to-speech output of conversations using festival"
HOMEPAGE="https://sourceforge.net/projects/pidgin-festival/"
@ -12,13 +12,9 @@ SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86"
IUSE=""
RDEPEND="app-accessibility/festival
RDEPEND="
app-accessibility/festival
net-im/pidgin[gtk]
x11-libs/gtk+:2"
DEPEND="${RDEPEND}
virtual/pkgconfig"
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"
dodoc README ChangeLog || die
}

@ -1,20 +1,17 @@
diff --git a/src/Makefile.am b/src/Makefile.am
index 05a4f8a..23d0309 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -1,5 +1,5 @@
-SUBDIRS = libsphinx2 \
- libsphinx2fe \
+SUBDIRS = libsphinx2fe \
libsphinx2ad \
+ libsphinx2 \
examples
--- a/configure.in
+++ b/configure.in
@@ -1,7 +1,7 @@
dnl Welcome to the Sphinx-2 automated build system.
dnl try not to hurt yourself ;)
-AC_INIT(configure.in)
+AC_INIT(configure.ac)
AM_INIT_AUTOMAKE(sphinx2,0.6)
diff --git a/src/libsphinx2/Makefile.am b/src/libsphinx2/Makefile.am
index 66f0ac3..537381c 100644
CFLAGS=${CFLAGS:--g -O2 -Wall}
--- a/src/libsphinx2/Makefile.am
+++ b/src/libsphinx2/Makefile.am
@@ -88,7 +88,7 @@ libsphinx2_la_SOURCES = \
@@ -88,7 +88,7 @@
word_fsg.c
@ -23,3 +20,13 @@ index 66f0ac3..537381c 100644
# hjf@cs.brown.edu - Added for Solaris build
# LDADD = -L/usr/demo/SOUND/lib/ -laudio
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -1,5 +1,5 @@
-SUBDIRS = libsphinx2 \
- libsphinx2fe \
+SUBDIRS = libsphinx2fe \
libsphinx2ad \
+ libsphinx2 \
examples

@ -1,12 +1,11 @@
# Copyright 1999-2012 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="2"
EAPI=6
inherit autotools eutils
inherit autotools
MY_P=${P/_/}
S=${WORKDIR}/${MY_P}
DESCRIPTION="CMU Speech Recognition-engine"
HOMEPAGE="http://fife.speech.cs.cmu.edu/sphinx/"
@ -15,15 +14,27 @@ SRC_URI="mirror://sourceforge/cmusphinx/${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="amd64 ppc x86"
IUSE=""
IUSE="static-libs"
S=${WORKDIR}/${MY_P}
PATCHES=( "${FILESDIR}"/${P}-as-needed.patch )
src_prepare() {
epatch "${FILESDIR}"/${P}-as-needed.patch
default
mv configure.{in,ac} || die
eautoreconf
}
src_configure() {
econf $(use_enable static-libs static)
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"
dodoc AUTHORS ChangeLog NEWS README doc/README.bin doc/README.lib doc/SCHMM_format doc/filler.dict doc/phoneset doc/phoneset-old
dohtml doc/phoneset_s2.html doc/sphinx2.html
HTML_DOCS=( doc/{phoneset_s2,sphinx2}.html )
default
dodoc doc/{README.{bin,lib},SCHMM_format,filler.dict,phoneset{,-old}}
if ! use static-libs; then
find "${D}" -name '*.la' -delete || die
fi
}

Binary file not shown.

@ -13,7 +13,7 @@ SRC_URI="http://releases.ansible.com/${PN}/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~x64-macos"
KEYWORDS="amd64 x86 ~x64-macos"
IUSE="test"
RDEPEND="

@ -1,44 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="2"
inherit eutils autotools
DESCRIPTION="A realtime Apache log analyzer"
HOMEPAGE="http://www.webta.org/projects/apachetop"
SRC_URI="http://www.webta.org/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 hppa ~mips ppc sparc x86"
IUSE="fam pcre adns"
DEPEND="fam? ( virtual/fam )
pcre? ( dev-libs/libpcre )
adns? ( net-libs/adns )"
RDEPEND="${DEPEND}"
src_prepare() {
epatch "${FILESDIR}"/${P}-gcc41.patch
epatch "${FILESDIR}"/${P}-configure.patch
epatch "${FILESDIR}"/${P}-maxpathlen.patch
epatch "${FILESDIR}"/${P}-ac_config_header.patch
eautoreconf
}
src_configure() {
econf --with-logfile=/var/log/apache2/access_log \
$(use_with fam) \
$(use_with pcre) \
$(use_with adns)
}
src_compile() {
emake || die "emake failed"
}
src_install() {
make DESTDIR="${D}" install || die "make install failed"
dodoc AUTHORS ChangeLog INSTALL NEWS README TODO
}

@ -1,8 +1,9 @@
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
inherit eutils autotools
EAPI=6
inherit autotools
DESCRIPTION="A realtime Apache log analyzer"
HOMEPAGE="http://www.webta.org/projects/apachetop"
@ -14,22 +15,29 @@ KEYWORDS="amd64 hppa ~mips ppc sparc x86"
IUSE="fam pcre"
RDEPEND="
sys-libs/ncurses:0=
sys-libs/readline:0=
fam? ( virtual/fam )
pcre? ( dev-libs/libpcre )
"
DEPEND="${RDEPEND}"
pcre? ( dev-libs/libpcre )"
DEPEND="${RDEPEND}
virtual/pkgconfig"
PATCHES=(
"${FILESDIR}"/${P}-gcc41.patch
"${FILESDIR}"/${P}-configure.patch
"${FILESDIR}"/${P}-maxpathlen.patch
"${FILESDIR}"/${P}-ac_config_header.patch
"${FILESDIR}"/${P}-ncurses.patch
)
src_prepare() {
epatch "${FILESDIR}"/${P}-gcc41.patch
epatch "${FILESDIR}"/${P}-configure.patch
epatch "${FILESDIR}"/${P}-maxpathlen.patch
epatch "${FILESDIR}"/${P}-ac_config_header.patch
default
eautoreconf
}
src_configure() {
econf \
--with-logfile=/var/log/apache2/access_log \
--with-logfile="${EPREFIX}"/var/log/apache2/access_log \
--without-adns \
$(use_with fam) \
$(use_with pcre)

@ -1,5 +1,5 @@
--- src/resolver.h
+++ src/resolver.h
--- a/src/resolver.h
+++ b/src/resolver.h
@@ -10,8 +10,8 @@
class Resolver
{

@ -0,0 +1,166 @@
--- a/configure.ac
+++ b/configure.ac
@@ -4,7 +4,7 @@
AC_CONFIG_SRCDIR(src/apachetop.cc)
AC_CONFIG_AUX_DIR(config)
-#AC_CONFIG_MACRO_DIR(m4) # 2.58
+AC_CONFIG_MACRO_DIR(m4)
AC_CONFIG_HEADER(config.h)
AM_INIT_AUTOMAKE(apachetop, 0.12.6) # 2.53 only?
@@ -29,7 +29,6 @@
#AC_PROG_CC
#AC_PROG_CPP
AC_PROG_CXX
-AC_LANG_CPLUSPLUS
# Checks for header files.
AC_HEADER_STDC
@@ -120,24 +119,9 @@
AC_SEARCH_LIBS([socket], [socket])
AC_SEARCH_LIBS([inet_addr], [nsl])
-AC_SEARCH_LIBS([attron], [ncurses])
-AC_SEARCH_LIBS([tgetstr], [termcap])
-AC_SEARCH_LIBS([mvprintw], [curses ncurses] ,
- [] ,
- [
- AC_MSG_ERROR([No useful curses library found!])
- ]
-)
-AC_SEARCH_LIBS([readline], [readline],
- [
- AC_DEFINE(HAVE_READLINE,1,[Define if you have readline library])
- AC_SUBST(HAVE_READLINE)
- ] ,
- [
- AC_MSG_ERROR(readline library not found)
- ]
-)
+PKG_CHECK_MODULES([NCURSES], [ncurses])
+AX_LIB_READLINE
# everything is in CPPFLAGS up to this point, now we move to CXXFLAGS
--- a/m4/ax_lib_readline.m4
+++ b/m4/ax_lib_readline.m4
@@ -0,0 +1,107 @@
+# ===========================================================================
+# https://www.gnu.org/software/autoconf-archive/ax_lib_readline.html
+# ===========================================================================
+#
+# SYNOPSIS
+#
+# AX_LIB_READLINE
+#
+# DESCRIPTION
+#
+# Searches for a readline compatible library. If found, defines
+# `HAVE_LIBREADLINE'. If the found library has the `add_history' function,
+# sets also `HAVE_READLINE_HISTORY'. Also checks for the locations of the
+# necessary include files and sets `HAVE_READLINE_H' or
+# `HAVE_READLINE_READLINE_H' and `HAVE_READLINE_HISTORY_H' or
+# 'HAVE_HISTORY_H' if the corresponding include files exists.
+#
+# The libraries that may be readline compatible are `libedit',
+# `libeditline' and `libreadline'. Sometimes we need to link a termcap
+# library for readline to work, this macro tests these cases too by trying
+# to link with `libtermcap', `libcurses' or `libncurses' before giving up.
+#
+# Here is an example of how to use the information provided by this macro
+# to perform the necessary includes or declarations in a C file:
+#
+# #ifdef HAVE_LIBREADLINE
+# # if defined(HAVE_READLINE_READLINE_H)
+# # include <readline/readline.h>
+# # elif defined(HAVE_READLINE_H)
+# # include <readline.h>
+# # else /* !defined(HAVE_READLINE_H) */
+# extern char *readline ();
+# # endif /* !defined(HAVE_READLINE_H) */
+# char *cmdline = NULL;
+# #else /* !defined(HAVE_READLINE_READLINE_H) */
+# /* no readline */
+# #endif /* HAVE_LIBREADLINE */
+#
+# #ifdef HAVE_READLINE_HISTORY
+# # if defined(HAVE_READLINE_HISTORY_H)
+# # include <readline/history.h>
+# # elif defined(HAVE_HISTORY_H)
+# # include <history.h>
+# # else /* !defined(HAVE_HISTORY_H) */
+# extern void add_history ();
+# extern int write_history ();
+# extern int read_history ();
+# # endif /* defined(HAVE_READLINE_HISTORY_H) */
+# /* no history */
+# #endif /* HAVE_READLINE_HISTORY */
+#
+# LICENSE
+#
+# Copyright (c) 2008 Ville Laurikari <vl@iki.fi>
+#
+# Copying and distribution of this file, with or without modification, are
+# permitted in any medium without royalty provided the copyright notice
+# and this notice are preserved. This file is offered as-is, without any
+# warranty.
+
+#serial 7
+
+AU_ALIAS([VL_LIB_READLINE], [AX_LIB_READLINE])
+AC_DEFUN([AX_LIB_READLINE], [
+ AC_CACHE_CHECK([for a readline compatible library],
+ ax_cv_lib_readline, [
+ ORIG_LIBS="$LIBS"
+ for readline_lib in readline edit editline; do
+ for termcap_lib in "" termcap curses ncurses; do
+ if test -z "$termcap_lib"; then
+ TRY_LIB="-l$readline_lib"
+ else
+ TRY_LIB="-l$readline_lib -l$termcap_lib"
+ fi
+ LIBS="$ORIG_LIBS $TRY_LIB"
+ AC_TRY_LINK_FUNC(readline, ax_cv_lib_readline="$TRY_LIB")
+ if test -n "$ax_cv_lib_readline"; then
+ break
+ fi
+ done
+ if test -n "$ax_cv_lib_readline"; then
+ break
+ fi
+ done
+ if test -z "$ax_cv_lib_readline"; then
+ ax_cv_lib_readline="no"
+ fi
+ LIBS="$ORIG_LIBS"
+ ])
+
+ if test "$ax_cv_lib_readline" != "no"; then
+ LIBS="$LIBS $ax_cv_lib_readline"
+ AC_DEFINE(HAVE_LIBREADLINE, 1,
+ [Define if you have a readline compatible library])
+ AC_CHECK_HEADERS(readline.h readline/readline.h)
+ AC_CACHE_CHECK([whether readline supports history],
+ ax_cv_lib_readline_history, [
+ ax_cv_lib_readline_history="no"
+ AC_TRY_LINK_FUNC(add_history, ax_cv_lib_readline_history="yes")
+ ])
+ if test "$ax_cv_lib_readline_history" = "yes"; then
+ AC_DEFINE(HAVE_READLINE_HISTORY, 1,
+ [Define if your readline library has \`add_history'])
+ AC_CHECK_HEADERS(history.h readline/history.h)
+ fi
+ fi
+])dnl
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -6,6 +6,7 @@
display.cc hits_circle.cc timed_circle.cc filters.cc \
resolver.cc
+apachetop_LDADD = $(NCURSES_LIBS)
noinst_HEADERS = apachetop.h log.h ohtbl.h map.h queue.h \
display.h hits_circle.h circle.h timed_circle.h filters.h \

@ -1,44 +1,43 @@
# Copyright 1999-2012 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="2"
EAPI=6
DESCRIPTION="The API tools serve as the client interface to the Auto Scaling web service"
HOMEPAGE="http://aws.amazon.com/developertools/2535"
# SRC_URI="http://ec2-downloads.s3.amazonaws.com/AutoScaling-2011-01-01.zip"
SRC_URI="mirror://sabayon/app-admin/AutoScaling-1.0.49.1.zip"
S="${WORKDIR}/AutoScaling-${PV}"
LICENSE="Amazon"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
RESTRICT="mirror"
DEPEND="app-arch/unzip"
RDEPEND="virtual/jre"
RESTRICT="mirror"
src_unpack() {
unpack ${A}
cd "${S}"
S="${WORKDIR}/AutoScaling-${PV}"
src_prepare() {
default
find . -name '*.cmd' -delete || die
rm bin/as-cmd-2009-05-15
rm bin/service-2009-05-15
rm bin/{as-cmd,service}-2009-05-15 || die
}
src_install() {
dodir /opt/${PN}
insinto /opt/${PN}/lib
doins -r "${S}"/lib/*
doins -r lib/.
exeinto /opt/${PN}/bin
doexe "${S}"/bin/*
dodir /etc/env.d
cat - > "${T}"/99${PN} <<EOF
AWS_AUTO_SCALING_HOME=/opt/${PN}
PATH=/opt/${PN}/bin
ROOTPATH=/opt/${PN}/bin
EOF
doexe bin/*
cat > "${T}"/99${PN} <<- EOF || die
AWS_AUTO_SCALING_HOME=/opt/${PN}
PATH=/opt/${PN}/bin
ROOTPATH=/opt/${PN}/bin
EOF
doenvd "${T}"/99${PN}
dodoc "THIRDPARTYLICENSE.TXT"
@ -48,6 +47,7 @@ pkg_postinst() {
ewarn "Remember to run: env-update && source /etc/profile if you plan"
ewarn "to use these tools in a shell before logging out (or restarting"
ewarn "your login manager)"
elog
elog "You need to put the following in your ~/.bashrc replacing the"
elog "values with the full path to your AWS credentials file."

@ -1,42 +1,42 @@
# Copyright 1999-2012 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="2"
EAPI=6
DESCRIPTION="The API tools serve as the client interface to the Amazon CloudWatch web service"
HOMEPAGE="http://aws.amazon.com/developertools/2534"
# SRC_URI="http://ec2-downloads.s3.amazonaws.com/CloudWatch-2010-08-01.zip"
SRC_URI="mirror://sabayon/${CATEGORY}/CloudWatch-${PV}.zip"
S="${WORKDIR}/CloudWatch-${PV}"
LICENSE="Amazon"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
RESTRICT="mirror"
DEPEND="app-arch/unzip"
RDEPEND="virtual/jre"
RESTRICT="mirror"
src_unpack() {
unpack ${A}
cd "$S"
S="${WORKDIR}/CloudWatch-${PV}"
src_prepare() {
default
find . -name '*.cmd' -delete || die
}
src_install() {
dodir /opt/${PN}
insinto /opt/${PN}/lib
doins -r "${S}"/lib/*
doins -r lib/.
exeinto /opt/${PN}/bin
doexe "${S}"/bin/*
doexe bin/*
dodir /etc/env.d
cat - > "${T}"/99${PN} <<EOF
AWS_CLOUDWATCH_HOME=/opt/${PN}
PATH=/opt/${PN}/bin
ROOTPATH=/opt/${PN}/bin
EOF
cat - > "${T}"/99${PN} <<- EOF || die
AWS_CLOUDWATCH_HOME=/opt/${PN}
PATH=/opt/${PN}/bin
ROOTPATH=/opt/${PN}/bin
EOF
doenvd "${T}"/99${PN}
dodoc "THIRDPARTYLICENSE.TXT"
@ -46,6 +46,7 @@ pkg_postinst() {
ewarn "Remember to run: env-update && source /etc/profile if you plan"
ewarn "to use these tools in a shell before logging out (or restarting"
ewarn "your login manager)"
elog
elog "You need to put the following in your ~/.bashrc replacing the"
elog "values with the full path to your AWS credentials file."

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -7,15 +7,16 @@ DESCRIPTION="Serves as the client interface to the Elastic Load Balancing web se
HOMEPAGE="http://aws.amazon.com/developertools/Amazon-EC2/2536"
SRC_URI="mirror://sabayon/${CATEGORY}/ElasticLoadBalancing-${PV}.zip"
S="${WORKDIR}/ElasticLoadBalancing-${PV}"
LICENSE="Amazon"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
RESTRICT="mirror"
DEPEND="app-arch/unzip"
RDEPEND="virtual/jre"
RESTRICT="mirror"
S="${WORKDIR}/ElasticLoadBalancing-${PV}"
src_prepare() {
default
@ -23,27 +24,27 @@ src_prepare() {
}
src_install() {
dodir /opt/${PN}
insinto /opt/${PN}/lib
doins -r "${S}"/lib/*
doins -r lib/.
exeinto /opt/${PN}/bin
doexe "${S}"/bin/*
dodir /etc/env.d
cat - > "${T}"/99${PN} <<EOF
AWS_ELB_HOME=/opt/${PN}
PATH=/opt/${PN}/bin
ROOTPATH=/opt/${PN}/bin
EOF
doexe bin/*
cat > "${T}"/99${PN} <<- EOF || die
AWS_ELB_HOME=/opt/${PN}
PATH=/opt/${PN}/bin
ROOTPATH=/opt/${PN}/bin
EOF
doenvd "${T}"/99${PN}
dodoc "THIRDPARTYLICENSE.TXT"
dodoc THIRDPARTYLICENSE.TXT
}
pkg_postinst() {
ewarn "Remember to run: env-update && source /etc/profile if you plan"
ewarn "to use these tools in a shell before logging out (or restarting"
ewarn "your login manager)"
elog
elog "You need to put the following in your ~/.bashrc replacing the"
elog "values with the full path to your AWS credentials file."

@ -1,60 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="2"
DESCRIPTION="Serves as the client interface to the Elastic Load Balancing web service"
HOMEPAGE="http://aws.amazon.com/developertools/Amazon-EC2/2536"
SRC_URI="mirror://sabayon/${CATEGORY}/ElasticLoadBalancing-${PV}.zip"
S="${WORKDIR}/ElasticLoadBalancing-${PV}"
LICENSE="Amazon"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND="app-arch/unzip"
RDEPEND="virtual/jre"
RESTRICT="mirror"
src_unpack() {
unpack ${A}
cd "$S"
find . -name '*.cmd' -delete || die
}
src_install() {
dodir /opt/${PN}
insinto /opt/${PN}/lib
doins -r "${S}"/lib/*
exeinto /opt/${PN}/bin
doexe "${S}"/bin/*
dodir /etc/env.d
cat - > "${T}"/99${PN} <<EOF
AWS_ELB_HOME=/opt/${PN}
PATH=/opt/${PN}/bin
ROOTPATH=/opt/${PN}/bin
EOF
doenvd "${T}"/99${PN}
dodoc "THIRDPARTYLICENSE.TXT"
}
pkg_postinst() {
ewarn "Remember to run: env-update && source /etc/profile if you plan"
ewarn "to use these tools in a shell before logging out (or restarting"
ewarn "your login manager)"
elog
elog "You need to put the following in your ~/.bashrc replacing the"
elog "values with the full path to your AWS credentials file."
elog
elog " export AWS_CREDENTIAL_FILE=/path/and_filename_of_credential_file"
elog
elog "It should contains two lines: the first line lists the AWS Account's"
elog "AWS Access Key ID, and the second line lists the AWS Account's"
elog "Secret Access Key. For example:"
elog
elog " AWSAccessKeyId=AKIAIOSFODNN7EXAMPLE"
elog " AWSSecretKey=wJalrXUtnFEMI/K7MDENG/bPxRfiCYzEXAMPLEKEY"
}

@ -1,50 +1,50 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="2"
EAPI=6
DESCRIPTION="The Command Line Interface for the AWS Identity and Access Management Service"
HOMEPAGE="http://aws.amazon.com/developertools/AWS-Identity-and-Access-Management/4143"
SRC_URI="mirror://sabayon/${CATEGORY}/IAMCli-${PV}.zip"
S="${WORKDIR}/IAMCli-${PV}"
LICENSE="Amazon"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
RESTRICT="mirror"
DEPEND="app-arch/unzip"
RDEPEND="virtual/jre"
RESTRICT="mirror"
src_unpack() {
unpack ${A}
cd "${WORKDIR}/IAMCli-${PV}"
S="${WORKDIR}/IAMCli-${PV}"
src_prepare() {
default
find . -name '*.cmd' -delete || die
}
src_install() {
dodir /opt/${PN}
insinto /opt/${PN}/lib
doins -r "${S}"/lib/*
doins -r lib/.
exeinto /opt/${PN}/bin
doexe "${S}"/bin/*
dodir /etc/env.d
cat - > "${T}"/99${PN} <<EOF
AWS_IAM_HOME=/opt/${PN}
PATH=/opt/${PN}/bin
ROOTPATH=/opt/${PN}/bin
EOF
doexe bin/*
cat > "${T}"/99${PN} <<- EOF || die
AWS_IAM_HOME=/opt/${PN}
PATH=/opt/${PN}/bin
ROOTPATH=/opt/${PN}/bin
EOF
doenvd "${T}"/99${PN}
dodoc "LICENSE.txt"
dodoc LICENSE.txt
}
pkg_postinst() {
ewarn "Remember to run: env-update && source /etc/profile if you plan"
ewarn "to use these tools in a shell before logging out (or restarting"
ewarn "your login manager)"
elog
elog "You need to put the following in your ~/.bashrc replacing the"
elog "values with the full path to your AWS credentials file."

@ -1,50 +1,50 @@
# Copyright 1999-2012 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="2"
EAPI=6
DESCRIPTION="The Command Line Toolkit for the Amazon Relational Database Service"
HOMEPAGE="http://aws.amazon.com/developertools/2928"
SRC_URI="mirror://sabayon/${CATEGORY}/RDSCli-${PV}.zip"
S="${WORKDIR}/RDSCli-${PV}"
LICENSE="Amazon"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
RESTRICT="mirror"
DEPEND="app-arch/unzip"
RDEPEND="virtual/jre"
RESTRICT="mirror"
src_unpack() {
unpack ${A}
cd "$S"
S="${WORKDIR}/RDSCli-${PV}"
src_prepare() {
default
find . -name '*.cmd' -delete || die
}
src_install() {
dodir /opt/${PN}
insinto /opt/${PN}/lib
doins -r "${S}"/lib/*
doins -r lib/.
exeinto /opt/${PN}/bin
doexe "${S}"/bin/*
dodir /etc/env.d
cat - > "${T}"/99${PN} <<EOF
AWS_RDS_HOME=/opt/${PN}
PATH=/opt/${PN}/bin
ROOTPATH=/opt/${PN}/bin
EOF
doexe bin/*
cat > "${T}"/99${PN} <<- EOF || die
AWS_RDS_HOME=/opt/${PN}
PATH=/opt/${PN}/bin
ROOTPATH=/opt/${PN}/bin
EOF
doenvd "${T}"/99${PN}
dodoc "THIRDPARTYLICENSE.TXT"
dodoc THIRDPARTYLICENSE.TXT
}
pkg_postinst() {
ewarn "Remember to run: env-update && source /etc/profile if you plan"
ewarn "to use these tools in a shell before logging out (or restarting"
ewarn "your login manager)"
elog
elog "You need to put the following in your ~/.bashrc replacing the"
elog "values with the full path to your AWS credentials file."

@ -1,28 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
inherit eutils autotools
DESCRIPTION="Cronolog apache logfile rotator"
HOMEPAGE="http://cronolog.org/"
SRC_URI="http://cronolog.org/download/${P}.tar.gz"
LICENSE="GPL-2+ Apache-1.0"
SLOT="0"
KEYWORDS="amd64 ppc x86"
IUSE=""
RDEPEND=""
src_unpack() {
unpack ${A}
cd "${S}"
epatch "${FILESDIR}"/${PV}-patches/*.patch
eautoreconf
}
src_install() {
make DESTDIR="${D}" install || die
dodoc AUTHORS ChangeLog INSTALL NEWS README TODO
}

@ -1,30 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
inherit eutils autotools
DESCRIPTION="Cronolog apache logfile rotator"
HOMEPAGE="http://cronolog.org/"
SRC_URI="http://cronolog.org/download/${P}.tar.gz"
LICENSE="GPL-2+ Apache-1.0"
SLOT="0"
KEYWORDS="amd64 ~arm ~ppc x86"
IUSE=""
RDEPEND=""
src_unpack() {
unpack ${A}
cd "${S}"
epatch "${FILESDIR}"/${PV}-patches/*.patch
# patch written for infra usage
epatch "${FILESDIR}"/${PN}-1.6.2-umask.patch
eautoreconf
}
src_install() {
make DESTDIR="${D}" install || die
dodoc AUTHORS ChangeLog INSTALL NEWS README TODO
}

@ -3,7 +3,7 @@
EAPI=6
inherit eutils autotools
inherit autotools
DESCRIPTION="Log rotation software"
HOMEPAGE="https://github.com/fordmason/cronolog"
@ -11,7 +11,7 @@ SRC_URI="http://cronolog.org/download/${P}.tar.gz"
LICENSE="GPL-2+ Apache-1.0"
SLOT="0"
KEYWORDS="~amd64 ~arm ~ppc ~x86"
KEYWORDS="amd64 ~arm ppc x86"
PATCHES=(
"${FILESDIR}"/${PV}-patches
@ -19,10 +19,8 @@ PATCHES=(
"${FILESDIR}"/${P}-umask.patch
)
DOCS=( AUTHORS ChangeLog INSTALL NEWS README TODO )
src_prepare() {
default
mv configure.in configure.ac || die
mv configure.{in,ac} || die
eautoreconf
}

@ -1,9 +1,7 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="2"
inherit eutils
EAPI=6
DESCRIPTION="A nearly complete nss/shadow suite for managing POSIX users/groups/data in LDAP"
#HOMEPAGE="http://research.iat.sfu.ca/custom-software/diradm/"
@ -14,13 +12,15 @@ SRC_URI="http://orbis-terrarum.net/~robbat2/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ppc ppc64 x86"
IUSE="samba irixpasswd automount test"
IUSE="automount irixpasswd samba test"
REQUIRED_USE="test? ( automount irixpasswd samba )"
RDEPEND=">=net-nds/openldap-2.3
sys-apps/gawk
sys-apps/coreutils
sys-apps/grep
dev-lang/perl
app-shells/bash
app-shells/bash:*
sys-apps/sed
virtual/perl-MIME-Base64
samba? (
@ -36,27 +36,24 @@ DEPEND="
net-nds/openldap[-minimal]
)"
pkg_setup() {
use test && elog "Warning, for test usage, diradm is built with all optional features!"
src_configure() {
econf \
$(use_enable automount) \
$(use_enable irixpasswd) \
$(use_enable samba)
}
src_configure() {
local myconf
if use test; then
myconf="--enable-samba --enable-automount --enable-irixpasswd"
else
myconf="`use_enable samba` `use_enable automount` `use_enable irixpasswd`"
fi
econf ${myconf} || die "econf failed"
src_test() {
emake -j1 check
}
src_install() {
emake install DESTDIR="${D}" || die "emake install failed"
dodoc CHANGES* README AUTHORS ChangeLog NEWS README.prefork \
THANKS TODO KNOWN-BUGS || die
default
dodoc CHANGES.prefork KNOWN-BUGS
if use irixpasswd; then
insinto /etc/openldap/schema
doins irixpassword.schema || die "Failed irixpassword.schema"
doins irixpassword.schema
fi
}
@ -69,7 +66,3 @@ pkg_postinst() {
elog "those packages, with a further fallback to /etc/openldap/ldap.conf"
elog "for server connection settings only."
}
src_test() {
emake -j1 check
}

@ -1,2 +1 @@
DIST fetchlog-1.0.tar.gz 24016 BLAKE2B 0e9dd36767efa9e69741dead04cb6b48376c1f8393c12de286e4cd9510fc73685988a8a724ec80aeac8f36b52ce0f62581e85ba2ee049768c94988750f3a164f SHA512 66a7a456ebb5353171b2f53071a73cccd66d42dafc2740bafd7c9db860f68176dffe10e556fde52048f2b198c2eaf8299d1fd6094726f7a003987b5ce0be7415
DIST fetchlog-1.4.tar.gz 32393 BLAKE2B 2741c536dfb17414ffaf90cebd9f8c7c1a1c80edb30bc726f15aa6acd610a07afb926c2566d27b30125e7f4733c1abde8eb81c68d81f609bc05328cf90755d44 SHA512 51590c0cdfa8f4a15fcb4a436375d960c25f35d84558ab46def58f83c97da30caee449eea7c62c539da786a613c2b1e51dbc223d70d56c21daad6e9faf8a51ad

@ -1,39 +0,0 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
inherit toolchain-funcs
DESCRIPTION="Displays the last new messages of a logfile"
HOMEPAGE="http://fetchlog.sourceforge.net/"
SRC_URI="mirror://sourceforge/fetchlog/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ppc x86 ~ppc64"
IUSE="snmp"
RDEPEND="snmp? (
>=dev-perl/Net-SNMP-4.0.1-r2
>=net-analyzer/net-snmp-5.0.6
)"
pkg_preinst() {
elog
elog "This utility can be used together with Nagios"
elog "To make use of these features you need to"
elog "install net-analyzer/nagios."
elog "This feature depends on SNMP, so make use you"
elog "have 'snmp' in your USE flags"
elog
}
src_compile() {
# Links the .c file straight to the binary
emake CC="$(tc-getCC)" CFLAGS="${CFLAGS} ${LDFLAGS}" || die
}
src_install() {
dodoc CHANGES README*
dobin fetchlog
doman fetchlog.1
}

@ -8,16 +8,31 @@ inherit toolchain-funcs
DESCRIPTION="Displays the last new messages of a logfile"
HOMEPAGE="http://fetchlog.sourceforge.net/"
SRC_URI="mirror://sourceforge/fetchlog/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86 ~ppc64"
KEYWORDS="amd64 ppc x86 ~ppc64"
IUSE="snmp"
RDEPEND="snmp? (
>=dev-perl/Net-SNMP-4.0.1-r2
>=net-analyzer/net-snmp-5.0.6
RDEPEND="
snmp? (
>=dev-perl/Net-SNMP-4.0.1-r2
>=net-analyzer/net-snmp-5.0.6
)"
DEPEND=""
PATCHES=( "${FILESDIR}"/${PN}-1.4-fix-build-system.patch )
src_configure() {
tc-export CC
}
src_install() {
dobin fetchlog
einstalldocs
dodoc *cfg*
doman fetchlog.1
}
pkg_preinst() {
elog
@ -28,15 +43,3 @@ pkg_preinst() {
elog "have 'snmp' in your USE flags"
elog
}
src_compile() {
# Links the .c file straight to the binary
emake CC="$(tc-getCC)" CFLAGS="${CFLAGS} ${LDFLAGS}"
}
src_install() {
dodoc CHANGES README*
dodoc *cfg*
dobin fetchlog
doman fetchlog.1
}

@ -0,0 +1,30 @@
--- a/Makefile
+++ b/Makefile
@@ -23,8 +23,8 @@
### compiler
### gcc
-CC=gcc
-CFLAGS= -O -Werror -Wall -Wcast-qual -Wstrict-prototypes \
+CC ?= gcc
+CFLAGS += -Wall -Wcast-qual -Wstrict-prototypes \
-Wmissing-prototypes -Wmissing-declarations -Winline -Wcast-align
### cc
#CC=cc
@@ -72,7 +72,7 @@
# compiler stuff
# --------------
-CC_OPT= $(CFLAGS) -DFETCHLOG_VERSION_NO=\"$(FETCHLOG_VERSION)\" \
+CPPFLAGS += -DFETCHLOG_VERSION_NO=\"$(FETCHLOG_VERSION)\" \
$(HAS_MADVISE) $(HAS_REGEX)
# all
@@ -82,7 +82,6 @@
# fetchlog
# -------
fetchlog: fetchlog.c
- $(CC) $(CC_OPT) fetchlog.c -o fetchlog
# install

@ -0,0 +1,17 @@
--- a/Makefile
+++ b/Makefile
@@ -2,13 +2,10 @@
#CC = gcc
PROF = -g0 -O2
-CFLAGS = $(PROF) -Wall
-LDFLAGS = $(PROF)
+CFLAGS += -Wall
TARGET = ide-smart
OBJECTS = ide-smart.o
-ide-smart: $(OBJECTS)
- $(CC) $(LDFLAGS) -o $(TARGET) $(OBJECTS)
all: ide-smart

@ -1,6 +1,8 @@
# Copyright 1999-2012 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit toolchain-funcs
DESCRIPTION="A tool to read SMART information from harddiscs"
@ -12,12 +14,22 @@ SLOT="0"
KEYWORDS="amd64 ppc sparc x86"
IUSE=""
src_compile() {
$(tc-getCC) ${CFLAGS} -Wall ${LDFLAGS} -o ${PN} ${PN}.c || die "compile"
PATCHES=( "${FILESDIR}"/${PN}-1.4-fix-build-system.patch )
src_prepare() {
default
# yes, the tarball includes pre-compiled
# object files and binaries
rm ${PN}{,.o} || die
}
src_configure() {
tc-export CC
}
src_install() {
dobin ide-smart || die
dobin ide-smart
doman ide-smart.8
dodoc README
einstalldocs
}

@ -1,2 +1 @@
DIST integrit-4.0.tar.gz 266001 BLAKE2B ae0b5aaabeb593080d795b3b1d25af213bae9dc39a24c2ef6222c37919b81b39cf3b012bc4cb02fa9826bc6f68299919dd17253255c295481d64bd0bd71f031c SHA512 d05722285e850aea2a07baa8020a379e595f30cfe9d9142d437d6c15f41c5a687ada476971765cab9cf5972be8c4c76a6495c6fb09438d3b35584c8be5d5a4e5
DIST integrit-4.1.tar.gz 271626 BLAKE2B 538a34c8e5c00e1be66ba35095be4d61402372ea7fd9ba9bfff9149c9a82c43d625ffb345fe84b7561100b31f2a2a1ba319e8b9a7d2b78e44a81d1ed6ae64f3a SHA512 599ae66a193fd87971994f59422e148e1ae01a5ff0fea93a0f2555c972f5254f0213116950766e72c87a57b1bd490f04afd3e0557d25a366c41dbbacc80b6842

@ -0,0 +1,43 @@
--- a/configure.in
+++ b/configure.in
@@ -26,7 +26,6 @@
# ----- you can override these values by setting environment variables
# CC=my-compiler ./configure
-CC=${CC:-"gcc"}
# CFLAGS="-g foo -x bar" ./configure
CFLAGS=${CFLAGS-"-g -Wall -O2"}
STATIC=${STATIC-"-static"}
@@ -53,10 +52,9 @@
dnl AC_PROG_LEX
AC_PROG_MAKE_SET
AC_PROG_AWK
-AC_PROGRAM_PATH(RM, rm , rm)
dnl syncing is the job of the O.S., and users can always do "make; sync"
dnl AC_PROGRAM_PATH(SYNC, sync, sync)
-AC_PROGRAM_PATH(AR, ar, ar)
+AM_PROG_AR
AC_PROG_RANLIB
dnl ---------- let users override the install that configure finds
--- a/hashtbl/configure.in
+++ b/hashtbl/configure.in
@@ -25,17 +25,15 @@
# ----- you can override these values by setting environment variables
# CC=my-compiler ./configure
-CC=${CC:-"gcc"}
# CFLAGS="-g foo -x bar" ./configure
CFLAGS=${CFLAGS:-"-g -Wall -O2"}
STATIC=${STATIC:-"-static"}
dnl Checks for programs.
AC_PROG_CC
-AC_PROGRAM_PATH(RM, rm , rm)
dnl syncing is the job of the O.S., and users can always do "make; sync"
dnl AC_PROGRAM_PATH(SYNC, sync, sync)
-AC_PROGRAM_PATH(AR, ar, ar)
+AM_PROG_AR
AC_PROG_MAKE_SET
AC_PROG_RANLIB

@ -1,65 +0,0 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
inherit autotools toolchain-funcs
DESCRIPTION="file integrity verification program"
HOMEPAGE="http://integrit.sourceforge.net/"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ppc x86"
IUSE=""
src_unpack() {
unpack ${A}
cd "${S}"
sed -i -e "/^CC/d" configure.in hashtbl/configure.in || die
sed -i -e "/^AC_PROGRAM_PATH/d" configure.in hashtbl/configure.in || die
eautoreconf
}
src_compile() {
tc-export AR
econf
emake || die
emake utils || die
cd "${S}"/doc
emake || die
cd "${S}"/hashtbl
emake hashtest || die
mv README README.hashtbl
}
src_install() {
dosbin integrit || die
dolib libintegrit.a
dodoc Changes HACKING README todo.txt
cd "${S}"/utils
dosbin i-viewdb
dobin i-ls
cd "${S}"/hashtbl
dolib libhashtbl.a
insinto /usr/include
doins hashtbl.h
dobin hashtest
dodoc README.hashtbl
cd "${S}"/doc
doman i-ls.1 i-viewdb.1 integrit.1
doinfo integrit.info
cd "${S}"/examples
docinto examples
dodoc *
}
pkg_postinst() {
elog "It is recommended that the integrit binary is copied to a secure"
elog "location and re-copied at runtime or run from a secure medium."
elog "You should also create a configuration file (see examples)."
}

@ -1,61 +1,61 @@
# Copyright 1999-2012 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=4
EAPI=6
inherit autotools toolchain-funcs
inherit autotools
DESCRIPTION="file integrity verification program"
HOMEPAGE="http://integrit.sourceforge.net/"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
KEYWORDS="~amd64 ppc x86"
IUSE=""
PATCHES=( "${FILESDIR}"/${PN}-4.1-fix-build-system.patch )
src_prepare() {
sed -i -e "/^CC/d" configure.in hashtbl/configure.in || die
sed -i -e "/^AC_PROGRAM_PATH/d" configure.in hashtbl/configure.in || die
default
mv configure.{in,ac} || die
mv hashtbl/configure.{in,ac} || die
# tests are not executable
chmod +x test/test || die
eautoreconf
tc-export AR
}
src_compile() {
emake
emake utils
cd "${S}"/doc && emake
cd "${S}"/hashtbl && emake hashtest
}
src_test() {
chmod +x test/test || die
default
emake -C doc
emake -C hashtbl hashtest
}
src_install() {
dosbin integrit
dolib libintegrit.a
dolib.a libintegrit.a
dodoc Changes HACKING README todo.txt
cd "${S}"/utils
dosbin i-viewdb
dobin i-ls
# utils
dosbin utils/i-viewdb
dobin utils/i-ls
cd "${S}"/hashtbl
dolib libhashtbl.a
insinto /usr/include
doins hashtbl.h
dobin hashtest
newdoc README README.hashtbl
# hashtbl
dolib.a hashtbl/libhashtbl.a
doheader hashtbl/hashtbl.h
dobin hashtbl/hashtest
newdoc hashtbl/README README.hashtbl
cd "${S}"/doc
doman i-ls.1 i-viewdb.1 integrit.1
doinfo integrit.info
# doc
doman doc/{i-ls.1,i-viewdb.1,integrit.1}
doinfo doc/integrit.info
cd "${S}"/examples
docinto examples
dodoc *
# examples
dodoc -r examples
}
pkg_postinst() {

@ -1,14 +1,13 @@
Common subdirectories: longrun.old/debian and longrun/debian
diff -u longrun.old/Makefile longrun/Makefile
--- longrun.old/Makefile 2005-08-12 22:36:14.186390784 +0300
+++ longrun/Makefile 2005-08-12 22:37:36.157929216 +0300
@@ -3,7 +3,7 @@
--- a/Makefile
+++ b/Makefile
@@ -2,8 +2,8 @@
all: longrun README stamp-po
longrun: longrun.c
-longrun: longrun.c
- gcc -DLOCALEDIR=\"$(LOCALEDIR)\" -g -O2 -W -Wall -o longrun longrun.c
+ $(CC) $(CFLAGS) $(LDFLAGS) -DLOCALEDIR=\"$(LOCALEDIR)\" -W -Wall -o longrun longrun.c
+CFLAGS += -W -Wall
+CPPFLAGS += -DLOCALEDIR=\"$(LOCALEDIR)\"
README: longrun.1
groff -Tascii -man longrun.1 | col -bx > README
Common subdirectories: longrun.old/po and longrun/po

@ -1,54 +1,50 @@
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
inherit eutils linux-info toolchain-funcs
EAPI=6
inherit linux-info toolchain-funcs
DESCRIPTION="A utility to control Transmeta's Crusoe and Efficeon processors"
HOMEPAGE="http://freshmeat.net/projects/longrun/"
DEBIAN_PATCH_VERSION="19"
DEBIAN_PATCH="${PN}_${PV}-${DEBIAN_PATCH_VERSION}.diff.gz"
DEBIAN_PATCH="${PN}_${PV}-${DEBIAN_PATCH_VERSION}.diff"
SRC_URI="
mirror://kernel/linux/utils/cpu/crusoe/${P}.tar.bz2
mirror://debian/pool/main/l/${PN}/${DEBIAN_PATCH}"
mirror://debian/pool/main/l/${PN}/${DEBIAN_PATCH}.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="-ppc x86"
IUSE=""
DEPEND=""
DEPEND="sys-apps/groff"
S=${WORKDIR}/${PN}
CONFIG_CHECK="~X86_MSR ~X86_CPUID"
ERROR_X86_MSR="
Longrun needs a MSR device to function. Please select
MSR under Processor type and features. It can be build
directly into the kernel or as a module.
"
directly into the kernel or as a module."
ERROR_X86_CPUID="
Longrun needs a CPUID device to function. Please select
CPUID under Processor type and features. It can be
build directly into the kernel or as a module.
"
build directly into the kernel or as a module."
src_unpack() {
unpack ${P}.tar.bz2
cd "${S}"
epatch "${DISTDIR}/${DEBIAN_PATCH}"
epatch "${FILESDIR}/${PV}-makefile_cflags.patch"
epatch "${FILESDIR}/${PV}-replace-loff_t.patch"
}
PATCHES=(
"${WORKDIR}"/${DEBIAN_PATCH}
"${FILESDIR}"/${PV}-makefile_cflags.patch
"${FILESDIR}"/${PV}-replace-loff_t.patch
)
src_compile() {
emake CC="$(tc-getCC)" || die "emake failed"
src_configure() {
tc-export CC
}
src_install() {
make DESTDIR="${D}" install || die "make install failed"
default
dodoc MAKEDEV-cpuid-msr
}

@ -3,10 +3,10 @@
<pkgmetadata>
<!-- maintainer-needed -->
<longdescription>
Longrun is a user space utility program for controlling the Longrun
thermal and power save functionalities found in the processors made
by Transmeta.
</longdescription>
Longrun is a user space utility program for controlling the Longrun
thermal and power save functionalities found in the processors made
by Transmeta.
</longdescription>
<upstream>
<remote-id type="freshmeat">longrun</remote-id>
</upstream>

@ -1,8 +1,10 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DESCRIPTION="Random password generator"
HOMEPAGE="http://packages.debian.org/stable/admin/makepasswd"
HOMEPAGE="https://packages.debian.org/stable/admin/makepasswd"
SRC_URI="mirror://debian/dists/potato/main/source/admin/${P/-/_}.orig.tar.gz"
LICENSE="GPL-2"
@ -13,7 +15,7 @@ IUSE=""
RDEPEND="dev-lang/perl"
src_install() {
dobin makepasswd || die
dobin makepasswd
doman makepasswd.1
dodoc README CHANGES
einstalldocs
}

@ -1,11 +1,11 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<longdescription lang="en">
A random password generator, for all your secure password needs.
</longdescription>
<maintainer type="person">
<email>xmw@gentoo.org</email>
<name>Michael Weber</name>
</maintainer>
<longdescription lang="en">
A random password generator, for all your secure password needs.
</longdescription>
</pkgmetadata>

@ -0,0 +1,21 @@
--- a/Makefile.in
+++ b/Makefile.in
@@ -65,12 +65,12 @@
@exit 1
install: all
- $(RM) $(bindir)/$(PROG)
- $(MKDIR) -p $(bindir)
- $(CP) $(PROG) $(bindir)
- $(RM) $(mandir)/man1/$(PROG).1
- $(MKDIR) -p $(mandir)/man1
- $(CP) $(PROG).man $(mandir)/man1/$(PROG).1
+ $(RM) $(DESTDIR)$(bindir)/$(PROG)
+ $(MKDIR) -p $(DESTDIR)$(bindir)
+ $(CP) $(PROG) $(DESTDIR)$(bindir)
+ $(RM) $(DESTDIR)$(mandir)/man1/$(PROG).1
+ $(MKDIR) -p $(DESTDIR)$(mandir)/man1
+ $(CP) $(PROG).man $(DESTDIR)$(mandir)/man1/$(PROG).1
# $(INSTALL) S99qpage /etc/rc3.d
# ln /etc/rc3.d/S99qpage /etc/init.d/qpage

@ -1,5 +1,5 @@
--- config.input.dist 2003-04-11 14:03:36.000000000 -0700
+++ config.input 2003-04-11 14:05:47.000000000 -0700
--- a/config.input
+++ b/config.input
@@ -20,7 +20,7 @@
# See the QuickPage documentation for complete details about
# the syntax of the configuration file.
@ -18,8 +18,8 @@
#
--- qpage.man.dist 2003-04-18 14:43:45.000000000 -0700
+++ qpage.man 2003-04-18 14:43:55.000000000 -0700
--- a/qpage.man
+++ b/qpage.man
@@ -867,7 +867,7 @@
must be able to detect when it's safe to send dial commands to the modem.
.LP
@ -29,8 +29,8 @@
.SH SEE ALSO
.B RFC-1861
.SH KNOWN BUGS
--- example.cf.dist 2003-04-25 09:55:47.000000000 -0700
+++ example.cf 2003-04-25 10:55:11.000000000 -0700
--- a/example.cf
+++ b/example.cf
@@ -21,7 +21,7 @@
#
# modem=<modem name>
@ -59,8 +59,8 @@
baudrate=1200
parity=even
allowpid=yes
--- ixo.c.dist 2003-04-25 11:36:30.000000000 -0700
+++ ixo.c 2003-04-25 11:37:37.000000000 -0700
--- a/ixo.c
+++ b/ixo.c
@@ -192,7 +192,7 @@
if ((i = read_modem(fd, seconds)) < 0)
return(NULL);

@ -1,15 +1,15 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>chutzpah@gentoo.org</email>
<name>Patrick McLean</name>
</maintainer>
<longdescription lang="en">
QuickPage is a client/server software package that enables you to send messages
to an alphanumeric pager. The client accepts a message from the user and
forwards it to a server using SNPP. The server uses a modem to transmit the
message to the recipient's paging service using the TAP protocol (also known as
the IXO protocol).
</longdescription>
<maintainer type="person">
<email>chutzpah@gentoo.org</email>
<name>Patrick McLean</name>
</maintainer>
<longdescription lang="en">
QuickPage is a client/server software package that enables you to send messages
to an alphanumeric pager. The client accepts a message from the user and
forwards it to a server using SNPP. The server uses a modem to transmit the
message to the recipient's paging service using the TAP protocol (also known as
the IXO protocol).
</longdescription>
</pkgmetadata>

@ -1,7 +1,9 @@
# Copyright 1999-2014 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
inherit eutils toolchain-funcs
EAPI=6
inherit toolchain-funcs
DESCRIPTION="Sends messages to an alphanumeric pager via TAP protocol"
HOMEPAGE="http://www.qpage.org/"
@ -16,30 +18,26 @@ DEPEND="tcpd? ( sys-apps/tcp-wrappers )"
RDEPEND="${DEPEND}
virtual/mta"
src_unpack() {
unpack ${A}
cd "${S}"
epatch "${FILESDIR}"/${P}-gentoo.patch
epatch "${FILESDIR}"/${P}-fix-warning.patch
}
PATCHES=(
"${FILESDIR}"/${P}-gentoo.patch
"${FILESDIR}"/${P}-fix-warning.patch
"${FILESDIR}"/${P}-fix-build-system.patch
)
src_compile() {
src_configure() {
tc-export CC
econf || die "econf failed"
default
# There doesn't seem to be a clean way to disable tcp wrappers in
# this package if you have it installed, but don't want to use it.
if ! use tcpd ; then
sed -i 's/-lwrap//g; s/-DTCP_WRAPPERS//g' Makefile
echo '#undef TCP_WRAPPERS' >> config.h
sed -i 's/-lwrap//g; s/-DTCP_WRAPPERS//g' Makefile || die
echo '#undef TCP_WRAPPERS' >> config.h || die
fi
emake || die "emake failed"
}
src_install() {
einstall || die "einstall failed"
default
dodir /var/spool/qpage
fowners daemon:daemon /var/spool/qpage
@ -50,7 +48,7 @@ src_install() {
fperms 770 /var/lock/subsys/qpage
insinto /etc/qpage
doins example.cf || die "doins example.cf failed"
doins example.cf
doinitd "${FILESDIR}"/qpage
}

@ -0,0 +1,62 @@
--- a/switcher
+++ b/switcher
@@ -67,7 +67,7 @@
### load quickswitch package
$_SWITCHTO = '/usr/bin/switchto'; # default location
-$CONF_FILE = '/etc/switchto.conf';
+$CONF_FILE = '/etc/quickswitch/switchto.conf';
$SWITCHTO = find_switchto($CONF_FILE);
$ENV{RUNNING_FROM_SWITCHER} = 1;
require $SWITCHTO;
--- a/switchto
+++ b/switchto
@@ -26,7 +26,7 @@
#
# Send bug-reports, comments, women to bugs@muthanna.com
#
-# Also see /etc/switchto.conf for further docs.
+# Also see /etc/quickswitch/switchto.conf for further docs.
#
# Release: 0.16
#
@@ -143,8 +143,8 @@
$AUTHOR = "Mohit Muthanna, Paul Seamons";
$DATE = '2002';
-### I would suggest renaming this /etc/switchto.conf
-$CONF_FILE = "/etc/switchto.conf";
+### I would suggest renaming this /etc/quickswitch/switchto.conf
+$CONF_FILE = "/etc/quickswitch/switchto.conf";
%DEFAULTS = (
autoconfig => 0,
device => "eth0",
@@ -165,7 +165,7 @@
nfsexportall => "/usr/sbin/exportfs -a",
nfsexportsfile => "/etc/exports",
niscommand => "/bin/nisdomainname",
- servicefilename => "/etc/switchto.last",
+ servicefilename => "/etc/quickswitch/switchto.last",
execpre => undef,
execpost => undef,
--- a/switchto.conf
+++ b/switchto.conf
@@ -43,7 +43,7 @@
device=eth0
# Path to save last good known configuration...
-servicefilename=/etc/switchto.last
+servicefilename=/etc/quickswitch/switchto.last
# Path and arguments to switchto. This is for the switcher GUI
# switchtopath=/usr/bin/switchto -b
@@ -52,7 +52,7 @@
# Uncomment theses and change them if needed.
# ------------------------------------------
# ifconfig=/sbin/ifconfig
-# iwconfig=/usr/local/sbin/iwconfig
+# iwconfig=/sbin/iwconfig
# netstat=/bin/netstat
# route=/sbin/route
# hostnamecmd=/bin/hostname

@ -1,38 +1,28 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
IUSE="ncurses"
EAPI=6
DESCRIPTION="Utility to switch network profiles on the fly"
SRC_URI="mirror://sourceforge/quickswitch/${P}.tar.gz"
HOMEPAGE="http://quickswitch.sf.net"
SLOT="0"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="x86 ppc sparc s390 amd64"
IUSE="ncurses"
DEPEND=">=dev-lang/perl-5.6.0"
RDEPEND="ncurses? ( dev-perl/CursesWidgets )"
PATCHES=( "${FILESDIR}"/${PN}-1.05-fix-paths.patch )
src_install() {
dobin switchto
dosed "s:/etc/switchto.conf:/etc/quickswitch/switchto.conf:" \
/usr/bin/switchto
dosed "s:/etc/switchto.last:/etc/quickswitch/switchto.last:" \
/usr/bin/switchto
if use ncurses; then
dobin switcher
dosed "s:/etc/switchto.conf:/etc/quickswitch/switchto.conf:" \
/usr/bin/switcher
fi
dodir /etc/quickswitch
use ncurses && dobin switcher
insinto /etc/quickswitch
newins switchto.conf switchto.conf.sample
dosed "s:/etc/switchto.last:/etc/quickswitch/switchto.last:" \
/etc/quickswitch/switchto.conf.sample
dosed "s:/usr/local/sbin/iwconfig:/sbin/iwconfig:" \
/etc/quickswitch/switchto.conf.sample
dodoc README
einstalldocs
}

@ -0,0 +1,30 @@
--- a/login/Makefile.am
+++ b/login/Makefile.am
@@ -2,5 +2,5 @@
ilogin_SOURCES = login.c
ilogin_CFLAGS = -Wall
-install-data-hook:
- chmod 500 $(sbindir)/ilogin
+install-exec-hook:
+ chmod 500 $(DESTDIR)$(sbindir)/ilogin
--- a/su/Makefile.am
+++ b/su/Makefile.am
@@ -4,5 +4,5 @@
INCLUDES = -I../sud
-install-data-hook:
- chmod 555 $(bindir)/suz
+install-exec-hook:
+ chmod 555 $(DESTDIR)$(bindir)/suz
--- a/sud/Makefile.am
+++ b/sud/Makefile.am
@@ -7,5 +7,5 @@
#INCLUDES = -I..
CLEANFILES = conf_lexer.c conf_parser.h conf_parser.c
-install-data-hook:
- chmod 500 $(sbindir)/sud
+install-exec-hook:
+ chmod 500 $(DESTDIR)$(sbindir)/sud

@ -1,9 +1,9 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=2
EAPI=6
inherit eutils flag-o-matic
inherit autotools flag-o-matic
DESCRIPTION="A daemon to execute processes with special privileges in a nosuid environment"
HOMEPAGE="http://s0ftpj.org/projects/sud/index.htm"
@ -14,32 +14,21 @@ SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE=""
PATCHES=( "${FILESDIR}"/${PN}-1.3-fix-build-system.patch )
src_prepare() {
sed -i -e \
's/install-data-hook:$/& install-exec/' \
-e \
's:chmod 500 $(sbindir)/ilogin:chmod 500 $(DESTDIR)$(sbindir)/ilogin:' \
"${S}"/login/Makefile.in || die "sed failed."
sed -i -e \
's/install-data-hook:$/& install-exec/' \
-e \
's:chmod 555 $(bindir)/suz:chmod 500 $(DESTDIR)$(bindir)/suz:' \
"${S}"/su/Makefile.in || die "sed failed."
sed -i -e \
's/install-data-hook:$/& install-exec/' \
-e \
's:chmod 500 $(sbindir)/sud:chmod 500 $(DESTDIR)$(sbindir)/sud:' \
"${S}"/sud/Makefile.in || die "sed failed."
default
eautoreconf
}
src_configure() {
append-flags -D_GNU_SOURCE
default_src_configure
append-cppflags -D_GNU_SOURCE
default
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed."
dodoc AUTHORS ChangeLog* README NEWS TODO
default
doman ilogin.1 sud.1 suz.1
insinto /etc
doins miscs/sud.conf*

@ -1,6 +1,8 @@
# Copyright 1999-2014 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DESCRIPTION="Interactive adduser script from Slackware"
HOMEPAGE="http://www.interlude.org.uk/unix/slackware/"
SRC_URI=""
@ -12,7 +14,9 @@ IUSE=""
RDEPEND="sys-apps/shadow"
S=${WORKDIR}
src_install() {
dosbin "${FILESDIR}"/${PV}/superadduser || die
dosbin "${FILESDIR}"/${PV}/superadduser
doman "${FILESDIR}"/superadduser.8
}

@ -0,0 +1,21 @@
--- a/Makefile
+++ b/Makefile
@@ -5,15 +5,15 @@
-Wundef -Wshadow -Wcast-align -Wwrite-strings -Wsign-compare \
-Wunused -Winit-self -Wpointer-arith -Wredundant-decls \
-Wmissing-prototypes -Wmissing-format-attribute -Wmissing-noreturn \
- -std=gnu99 -pipe -DSYSRQD_VERSION="\"$(VERSION)\"" -O3
+ -std=gnu99
+CPPFLAGS += -DSYSRQD_VERSION="\"$(VERSION)\""
SBINDIR=$(DESTDIR)/usr/sbin
#MANDIR=$(DESTDIR)/usr/share/man/man1
INSTALL = install
#MAN=sysrqd.1
-$(BIN): $(O)
- $(CC) $(LDFLAGS) -o $(BIN) $(O)
+all: $(BIN)
install: $(BIN)
$(INSTALL) -d -m 755 $(SBINDIR)

@ -1,5 +1,5 @@
--- sysrqd.c.orig 2009-11-05 14:58:21.644471772 +0100
+++ sysrqd.c 2009-11-05 14:58:43.276472005 +0100
--- a/sysrqd.c
+++ b/sysrqd.c
@@ -40,8 +40,8 @@
#define BIND_MAX_LEN 16
#define PROMPT "sysrq> "

@ -1,14 +1,13 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>wschlich@gentoo.org</email>
<name>Wolfram Schlich</name>
<description>Primary maintainer</description>
</maintainer>
<longdescription>
sysrqd is a small daemon intended to manage Linux Sysrq over network.
Its philosophy is to be very responsive under heavy load and try to
be somehow reliable. Authentication is made by clear password.
</longdescription>
<maintainer type="person">
<email>wschlich@gentoo.org</email>
<name>Wolfram Schlich</name>
</maintainer>
<longdescription>
sysrqd is a small daemon intended to manage Linux Sysrq over network.
Its philosophy is to be very responsive under heavy load and try to
be somehow reliable. Authentication is made by clear password.
</longdescription>
</pkgmetadata>

@ -1,27 +1,27 @@
# Copyright 1999-2012 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
inherit eutils toolchain-funcs
EAPI=6
inherit toolchain-funcs
IUSE=""
DESCRIPTION="daemon providing access to the kernel sysrq functions via network"
HOMEPAGE="http://julien.danjou.info/projects/sysrqd"
#SRC_URI="http://julien.danjou.info/${PN}/${P}.tar.gz"
SRC_URI="https://dev.gentoo.org/~wschlich/src/${CATEGORY}/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~amd64"
DEPEND=""
RDEPEND="${DEPEND}"
src_unpack() {
unpack ${A}
cd "${S}"
epatch "${FILESDIR}/${PN}-config.patch"
}
KEYWORDS="~amd64 ~x86"
IUSE=""
PATCHES=(
"${FILESDIR}"/${PN}-config.patch
"${FILESDIR}"/${PN}-14-fix-build-system.patch
)
src_compile() {
$(tc-getCC) ${CFLAGS} ${LDFLAGS} -o sysrqd sysrqd.c
src_configure() {
tc-export CC
}
src_install() {
@ -31,8 +31,8 @@ src_install() {
local bindip='127.0.0.1' secret
declare -i secret
let secret=${RANDOM}*${RANDOM}*${RANDOM}*${RANDOM}
echo ${bindip} > sysrqd.bind
echo ${secret} > sysrqd.secret
echo ${bindip} > sysrqd.bind || die
echo ${secret} > sysrqd.secret || die
diropts -m 0700 -o root -g root
dodir /etc/sysrqd
@ -41,7 +41,7 @@ src_install() {
doins sysrqd.bind
doins sysrqd.secret
dodoc README ChangeLog
einstalldocs
}
pkg_postinst() {

@ -1,30 +1,32 @@
# Copyright 1999-2012 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=4
EAPI=6
inherit eutils toolchain-funcs
inherit toolchain-funcs
DESCRIPTION="Tail multiple logfiles at once, even if rotated"
HOMEPAGE="http://www.unicom.com/sw/xtail/"
SRC_URI="http://www.unicom.com/sw/xtail/${P}.tar.gz
SRC_URI="
http://www.unicom.com/sw/xtail/${P}.tar.gz
http://www.unicom.com/files/20120219-patch-aalto.zip"
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 ppc ~sparc x86"
KEYWORDS="amd64 ppc sparc x86"
IUSE=""
DEPEND="app-arch/unzip"
src_prepare() {
epatch ../0001-Use-ISO8601-Fix-Gcc-header-Use-C-c.patch
epatch ../0001-xtail.1-remove-SIGQUIT.patch
epatch ../xtail_2.1-5-debian-local-changes.patch
}
PATCHES=(
"${WORKDIR}"/0001-Use-ISO8601-Fix-Gcc-header-Use-C-c.patch
"${WORKDIR}"/0001-xtail.1-remove-SIGQUIT.patch
"${WORKDIR}"/xtail_2.1-5-debian-local-changes.patch
)
src_compile() {
src_configure() {
tc-export CC
emake
default
}
src_install() {

@ -1,25 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=2
inherit toolchain-funcs
DESCRIPTION="Tail multiple logfiles at once, even if rotated"
HOMEPAGE="http://www.unicom.com/sw/xtail/"
SRC_URI="http://www.unicom.com/sw/xtail/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 ppc sparc x86"
IUSE=""
src_compile() {
tc-export CC
emake || die "emake failed"
}
src_install() {
dobin xtail || die
doman xtail.1 || die
dodoc README
}

Binary file not shown.

@ -11,12 +11,11 @@ SRC_URI="http://members.chello.nl/k.holtman/${P}.tgz"
LICENSE="Artistic LGPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~sparc ~x86"
KEYWORDS="~alpha ~amd64 ~hppa ~ppc sparc x86"
PATCHES=( "${FILESDIR}"/Makefile-r1.patch )
PATCHES=( "${FILESDIR}"/${PN}-2.5.1-fix-build-system.patch )
src_prepare() {
default
src_configure() {
tc-export CC
}
@ -27,7 +26,7 @@ src_install() {
local i
for i in {1..4}; do
docinto "script$i"
dodoc "script$i"/*
docinto "script${i}"
dodoc -r "script${i}"/.
done
}

@ -0,0 +1,22 @@
--- a/Makefile
+++ b/Makefile
@@ -71,15 +71,12 @@
MW=
#MW=-Wtraditional -Wcast-qual -Wcast-align -Wconversion -pedantic -Wlong-long -Wimplicit -Wuninitialized -W -Wshadow -Wsign-compare -Wstrict-prototypes -Wmissing-declarations
-CFLAGS1 = -Wall -Wstrict-prototypes -s -O2 -fomit-frame-pointer ${LARGEFILEFLAGS} ${MW}
-
-CC=gcc
-
-CFLAGS = ${CFLAGS1} $1 $2 $3 $4 $5 $6 $7 $8 $9 $a $b $c $d $e ${e2} $f $g $I
-LDFLAGS =
+CC ?= gcc
+CFLAGS += -Wall -Wstrict-prototypes
+CPPFLAGS += ${LARGEFILEFLAGS} ${2} ${3} ${6} ${8} ${c} ${d} ${e2} ${f} ${g}
afio : afio.o compfile.o exten.o match.o $M
- ${CC} ${LDFLAGS} afio.o compfile.o exten.o match.o $M -o afio
+ $(CC) $(CFLAGS) $(LDFLAGS) $^ -o $@
clean:
rm -f *.o afio

@ -3,12 +3,12 @@
<pkgmetadata>
<!-- maintainer-needed -->
<longdescription>
Afio makes cpio-format archives. It deals somewhat gracefully
with input data corruption, supports multi-volume archives during interactive
operation, and can make compressed archives that are much safer than compressed
tar or cpio archives. Afio is best used as an 'archive engine' in a backup
script.
</longdescription>
Afio makes cpio-format archives. It deals somewhat gracefully
with input data corruption, supports multi-volume archives during interactive
operation, and can make compressed archives that are much safer than compressed
tar or cpio archives. Afio is best used as an 'archive engine' in a backup
script.
</longdescription>
<upstream>
<remote-id type="freshmeat">afio</remote-id>
</upstream>

@ -1,9 +1,9 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="2"
EAPI=6
inherit eutils toolchain-funcs
inherit toolchain-funcs
DESCRIPTION="Create & extract files from DOS .ARC files"
HOMEPAGE="http://arc.sourceforge.net"
@ -14,17 +14,22 @@ SLOT="0"
KEYWORDS="alpha amd64 hppa ppc ppc64 sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
IUSE=""
PATCHES=(
"${FILESDIR}"/${PN}-5.21m-darwin.patch
"${FILESDIR}"/${PN}-5.21m-gentoo-fbsd.patch
"${FILESDIR}"/${PN}-5.21o-interix.patch
)
src_prepare() {
epatch "${FILESDIR}"/${P/p/m}-darwin.patch \
"${FILESDIR}"/${P/p/m}-gentoo-fbsd.patch \
"${FILESDIR}"/${P/p/o}-interix.patch
default
sed -i Makefile \
-e 's/CFLAGS = $(OPT) $(SYSTEM)/CFLAGS += $(SYSTEM)/' \
|| die "sed Makefile"
}
src_compile() {
emake CC="$(tc-getCC)" OPT="${LDFLAGS}" || die "emake failed."
emake CC="$(tc-getCC)" OPT="${LDFLAGS}"
}
src_install() {

@ -1,5 +1,5 @@
--- tmclock.c 2005-09-21 18:39:57 +0200
+++ tmclock.c.new 2007-06-16 15:58:26 +0200
--- a/tmclock.c
+++ b/tmclock.c
@@ -18,8 +18,10 @@
#include <sys/time.h>
#else

@ -0,0 +1,8 @@
--- a/Makefile
+++ b/Makefile
@@ -1,4 +1,4 @@
-CFLAGS += -Wall -g
+CFLAGS += -Wall
LDLIBS += -lz
all: funzix

@ -1,6 +1,8 @@
# Copyright 1999-2008 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit toolchain-funcs
DESCRIPTION="unpacker for the bogus ZIX format"
@ -12,11 +14,13 @@ SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""
src_compile() {
emake CC="$(tc-getCC)" || die "emake failed"
PATCHES=( "${FILESDIR}"/${PN}-1.0-fix-build-system.patch )
src_configure() {
tc-export CC
}
src_install() {
dobin funzix || die
dodoc README
dobin funzix
einstalldocs
}

@ -11,7 +11,7 @@ SRC_URI="https://github.com/megastep/makeself/archive/release-${PV}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~hppa ~ppc ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="~amd64 hppa ~ppc x86 ~amd64-linux ~x86-linux"
IUSE=""
RDEPEND="sys-apps/gentoo-functions"

@ -0,0 +1,13 @@
--- a/Makefile
+++ b/Makefile
@@ -1,8 +1,8 @@
-CFLAGS=-g -W -Wall -Wno-unused -O2
+CFLAGS += -W -Wall -Wno-unused
par: backend.o checkpar.o makepar.o rwpar.o rs.o md5.o fileops.o main.o readoldpar.o interface.o ui_text.o
- $(CC) -o $@ $^
+ $(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^
clean:
rm -f core par par.exe *.o

@ -1,7 +1,7 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=2
EAPI=6
inherit toolchain-funcs
@ -14,23 +14,19 @@ SLOT="0"
KEYWORDS="amd64 ppc sparc x86 ~amd64-linux ~x86-linux ~ppc-macos"
IUSE=""
DEPEND="!app-text/par
DEPEND="
!app-text/par
!dev-util/par"
RDEPEND="${DEPEND}"
S="${WORKDIR}"/par-cmdline
PATCHES=( "${FILESDIR}"/${PN}-1.1-fix-build-system.patch )
src_prepare() {
sed -i \
-e 's/\$(CC)/$(LINK.o)/' \
Makefile || die "sed failed"
}
src_compile() {
emake CC="$(tc-getCC)" CFLAGS="${CFLAGS}" || die "emake failed"
src_configure() {
tc-export CC
}
src_install() {
dobin par || die "dobin failed"
dodoc AUTHORS NEWS README
dobin par
einstalldocs
}

@ -0,0 +1,33 @@
Index: rzip-2.1/stream.c
===================================================================
--- rzip-2.1.orig/stream.c
+++ rzip-2.1/stream.c
@@ -147,16 +147,16 @@ static int write_u32(int f, u32 v)
return 0;
}
-static int read_buf(int f, uchar *p, int len)
+static int read_buf(int f, uchar *p, unsigned int len)
{
int ret;
ret = read(f, p, len);
if (ret == -1) {
- err_msg("Read of length %d failed - %s\n", len, strerror(errno));
+ err_msg("Read of length %u failed - %s\n", len, strerror(errno));
return -1;
}
if (ret != len) {
- err_msg("Partial read!? asked for %d bytes but got %d\n", len, ret);
+ err_msg("Partial read!? asked for %u bytes but got %d\n", len, ret);
return -1;
}
return 0;
@@ -399,7 +399,7 @@ static int fill_buffer(struct stream_inf
if (sinfo->s[stream].buf) {
free(sinfo->s[stream].buf);
}
- sinfo->s[stream].buf = malloc(u_len);
+ sinfo->s[stream].buf = malloc(c_len > u_len ? c_len : u_len);
if (!sinfo->s[stream].buf) {
return -1;
}

@ -1,9 +1,9 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="2"
EAPI=6
inherit autotools eutils
inherit autotools
DESCRIPTION="Compression program for large files"
HOMEPAGE="https://rzip.samba.org/"
@ -14,17 +14,20 @@ SLOT="0"
KEYWORDS="amd64 hppa ~ppc ~ppc64 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos"
IUSE=""
DEPEND="app-arch/bzip2"
RDEPEND="app-arch/bzip2:="
DEPEND="${DEPEND}"
PATCHES=(
"${FILESDIR}"/${PN}-2.1-darwin.patch
"${FILESDIR}"/${PN}-2.1-CVE-2017-8364.patch
)
src_prepare() {
epatch "${FILESDIR}"/${PN}-2.1-darwin.patch
default
mv configure.{in,ac} || die
eautoreconf
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed."
}
pkg_postinst() {
ewarn "Warning: Gentoo shipped a broken rzip for quite some time. During"
ewarn "compression of large files it didn't set the right file size, so"

@ -1,10 +1,13 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
MY_P="stuffit520.611linux-i386"
DESCRIPTION="Aladdin Software's StuffIt and StuffIt Expander"
HOMEPAGE="http://www.stuffit.com/"
SRC_URI="http://my.smithmicro.com/downloads/files/stuffit520.611linux-i386.tar.gz"
SRC_URI="http://my.smithmicro.com/downloads/files/${MY_P}.tar.gz"
LICENSE="Stuffit"
SLOT="0"
@ -14,7 +17,7 @@ RESTRICT="fetch strip"
S="${WORKDIR}"
INSTALLDIR="/opt/stuffit"
INSTALLDIR=/opt/stuffit
pkg_nofetch() {
einfo "Please download stuffit from"
@ -27,7 +30,6 @@ pkg_nofetch() {
}
src_install() {
# First do the binaries
exeinto ${INSTALLDIR}/bin
doexe bin/stuff
@ -39,20 +41,20 @@ src_install() {
# Now the documentation
docinto stuff
dodoc doc/stuff/README
dohtml doc/stuff/stuff.html
dodoc doc/stuff/{README,stuff.html}
docinto unstuff
dodoc doc/unstuff/README
dohtml doc/unstuff/unstuff.html
dodoc doc/unstuff/{README,unstuff.html}
# And now the man pages
doman man/man1/*
# Also add the executables to the path
dodir /etc/env.d
echo -e "PATH=${INSTALLDIR}/bin\nROOTPATH=${INSTALLDIR}/bin" > \
"${D}"/etc/env.d/10stuffit
cat > "${T}"/10stuffit <<- EOF || die
PATH="${EPREFIX}${INSTALLDIR}/bin"
ROOTPATH="${EPREFIX}${INSTALLDIR}/bin"
EOF
doenvd "${T}"/10stuffit
}
pkg_postinst() {

@ -0,0 +1,31 @@
--- a/tapecopy.c
+++ b/tapecopy.c
@@ -26,6 +26,8 @@
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
+#include <stdlib.h>
+
#include "tapeio.h"
#include "stdio.h"
#include "stdarg.h"
--- a/tapedump.c
+++ b/tapedump.c
@@ -26,6 +26,8 @@
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
+#include <stdlib.h>
+
#include "tapeio.h"
#include "stdio.h"
#include "stdarg.h"
@@ -158,7 +160,7 @@
len = getrec (src, buf, MAX_REC_LEN);
if (len == 0)
{
- printf ("total length of file %d = %d records, %d bytes\n",
+ printf ("total length of file %d = %d records, %lu bytes\n",
file, record, filebytes);
tapebytes += filebytes;
file++;

@ -0,0 +1,11 @@
--- a/Makefile
+++ b/Makefile
@@ -20,8 +20,6 @@
# options
# -----------------------------------------------------------------------------
-CFLAGS = -O2
-LDFLAGS =
# CFLAGS = -g
# LDFLAGS = -g

@ -1,6 +1,8 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit toolchain-funcs
DESCRIPTION="Utilities for manipulation of tapes and tape image files"
@ -12,13 +14,19 @@ SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE=""
DEPEND=""
RDEPEND="!app-emulation/hercules"
src_compile() {
emake CC="$(tc-getCC)" CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" || die
PATCHES=(
"${FILESDIR}"/${PN}-0.4-fix-build-system.patch
"${FILESDIR}"/${PN}-0.4-fix-C-decl.patch
)
src_configure() {
tc-export CC
}
src_install() {
dobin tapecopy tapedump || die
dobin tapecopy tapedump
# no docs to install
}

@ -0,0 +1,146 @@
Description: Fix unsafe extraction by using mkdir() instead of shell command
This commit fixes following vulnerabilities:
- CVE-2016-1243: stack buffer overflow caused by blindly trusting on
pathname lengths of archived files
Stack allocated buffer sysbuf was filled with sprintf() without any
bounds checking in extracTree() function.
- CVE-2016-1244: execution of unsanitized input
Shell command used for creating directory paths was constructed by
concatenating names of archived files to the end of the command
string.
So, if the user was tricked to extract a specially crafted .adf file,
the attacker was able to execute arbitrary code with privileges of the
user.
This commit fixes both issues by
1) replacing mkdir shell commands with mkdir() function calls
2) removing redundant sysbuf buffer
Author: Tuomas Räsänen <tuomasjjrasanen@tjjr.fi>
Last-Update: 2016-09-20
--
--- a/examples/unadf.c
+++ b/examples/unadf.c
@@ -24,6 +24,8 @@
#define UNADF_VERSION "1.0"
+#include <sys/stat.h>
+#include <sys/types.h>
#include<stdlib.h>
#include<errno.h>
@@ -31,17 +33,15 @@
#include "adflib.h"
-/* The portable way used to create a directory is to call the MKDIR command via the
- * system() function.
- * It is used to create the 'dir1' directory, like the 'dir1/dir11' directory
+/* The portable way used to create a directory is to call mkdir()
+ * which is defined by following standards: SVr4, BSD, POSIX.1-2001
+ * and POSIX.1-2008
*/
/* the portable way to check if a directory 'dir1' already exists i'm using is to
* do fopen('dir1','rb'). NULL is returned if 'dir1' doesn't exists yet, an handle instead
*/
-#define MKDIR "mkdir"
-
#ifdef WIN32
#define DIRSEP '\\'
#else
@@ -51,6 +51,13 @@
#define EXTBUFL 1024*8
+static void mkdirOrLogErr(const char *const path)
+{
+ if (mkdir(path, S_IRWXU | S_IRWXG | S_IRWXO))
+ fprintf(stderr, "mkdir: cannot create directory '%s': %s\n",
+ path, strerror(errno));
+}
+
void help()
{
puts("unadf [-lrcsp -v n] dumpname.adf [files-with-path] [-d extractdir]");
@@ -152,7 +159,6 @@ void extractTree(struct Volume *vol, str
{
struct Entry* entry;
char *buf;
- char sysbuf[200];
while(tree) {
entry = (struct Entry*)tree->content;
@@ -162,16 +168,14 @@ void extractTree(struct Volume *vol, str
buf=(char*)malloc(strlen(path)+1+strlen(entry->name)+1);
if (!buf) return;
sprintf(buf,"%s%c%s",path,DIRSEP,entry->name);
- sprintf(sysbuf,"%s %s",MKDIR,buf);
if (!qflag) printf("x - %s%c\n",buf,DIRSEP);
+ if (!pflag) mkdirOrLogErr(buf);
}
else {
- sprintf(sysbuf,"%s %s",MKDIR,entry->name);
if (!qflag) printf("x - %s%c\n",entry->name,DIRSEP);
+ if (!pflag) mkdirOrLogErr(entry->name);
}
- if (!pflag) system(sysbuf);
-
if (tree->subdir!=NULL) {
if (adfChangeDir(vol,entry->name)==RC_OK) {
if (buf!=NULL)
@@ -301,21 +305,20 @@ void processFile(struct Volume *vol, cha
extractFile(vol, name, path, extbuf, pflag, qflag);
}
else {
- /* the all-in-one string : to call system(), to find the filename, the convert dir sep char ... */
- bigstr=(char*)malloc(strlen(MKDIR)+1+strlen(path)+1+strlen(name)+1);
+ bigstr=(char*)malloc(strlen(path)+1+strlen(name)+1);
if (!bigstr) { fprintf(stderr,"processFile : malloc"); return; }
/* to build to extract path */
if (strlen(path)>0) {
- sprintf(bigstr,"%s %s%c%s",MKDIR,path,DIRSEP,name);
- cdstr = bigstr+strlen(MKDIR)+1+strlen(path)+1;
+ sprintf(bigstr,"%s%c%s",path,DIRSEP,name);
+ cdstr = bigstr+strlen(path)+1;
}
else {
- sprintf(bigstr,"%s %s",MKDIR,name);
- cdstr = bigstr+strlen(MKDIR)+1;
+ sprintf(bigstr,"%s",name);
+ cdstr = bigstr;
}
/* the directory in which the file will be extracted */
- fullname = bigstr+strlen(MKDIR)+1;
+ fullname = bigstr;
/* finds the filename, and separates it from the path */
filename = strrchr(bigstr,'/')+1;
@@ -333,7 +336,7 @@ void processFile(struct Volume *vol, cha
return;
tfile = fopen(fullname,"r"); /* the only portable way to test if the dir exists */
if (tfile==NULL) { /* does't exist : create it */
- if (!pflag) system(bigstr);
+ if (!pflag) mkdirOrLogErr(bigstr);
if (!qflag) printf("x - %s%c\n",fullname,DIRSEP);
}
else
@@ -350,7 +353,7 @@ void processFile(struct Volume *vol, cha
return;
tfile = fopen(fullname,"r");
if (tfile==NULL) {
- if (!pflag) system(bigstr);
+ if (!pflag) mkdirOrLogErr(bigstr);
if (!qflag) printf("x - %s%c\n",fullname,DIRSEP);
}
else

@ -1,25 +1,26 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
EAPI=6
inherit autotools eutils
inherit autotools
MY_PN="adflib"
DESCRIPTION="Extract files from Amiga adf disk images"
SRC_URI="http://lclevy.free.fr/${MY_PN}/${MY_PN}-${PV}.tar.bz2"
HOMEPAGE="http://lclevy.free.fr/adflib/"
SRC_URI="http://lclevy.free.fr/${MY_PN}/${MY_PN}-${PV}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~hppa ~ppc ~x86 ~x86-linux ~ppc-macos ~sparc-solaris ~x86-solaris"
KEYWORDS="amd64 ~hppa ~ppc x86 ~x86-linux ~ppc-macos ~sparc-solaris ~x86-solaris"
IUSE="static-libs"
DEPEND=""
RDEPEND=""
S="${WORKDIR}/${MY_PN}-${PV}"
PATCHES=( "${FILESDIR}"/${PN}-0.7.12-CVE-2016-1243_CVE-2016-1244.patch )
src_prepare() {
default
eautoreconf
}
@ -29,5 +30,5 @@ src_configure() {
src_install() {
default
prune_libtool_files
find "${D}" -name '*.la' -delete || die
}

@ -0,0 +1,66 @@
Bug: https://bugs.gentoo.org/520478
--- a/unarj.c
+++ b/unarj.c
@@ -699,7 +699,7 @@
}
if ((arj_flags & GARBLE_FLAG) != 0)
{
- printf(M_ENCRYPT);
+ puts(M_ENCRYPT);
printf(M_SKIPPED, filename);
skip();
return -1;
@@ -763,7 +763,7 @@
}
printf(M_EXTRACT, name);
if (host_os != OS && file_type == BINARY_TYPE)
- printf(M_DIFFHOST);
+ puts(M_DIFFHOST);
printf(" ");
crc = CRC_MASK;
@@ -779,10 +779,10 @@
set_ftime_mode(name, time_stamp, file_mode, (uint) host_os);
if ((crc ^ CRC_MASK) == file_crc)
- printf(M_CRCOK);
+ puts(M_CRCOK);
else
{
- printf(M_CRCERROR);
+ puts(M_CRCERROR);
error_count++;
}
return 1;
@@ -808,10 +808,10 @@
decode_f();
if ((crc ^ CRC_MASK) == file_crc)
- printf(M_CRCOK);
+ puts(M_CRCOK);
else
{
- printf(M_CRCERROR);
+ puts(M_CRCERROR);
error_count++;
}
return 1;
@@ -958,7 +958,7 @@
int i;
for (i = 0; M_USAGE[i] != NULL; i++)
- printf(M_USAGE[i]);
+ puts(M_USAGE[i]);
}
int
@@ -973,7 +973,7 @@
argc = ccommand(&argv);
#endif
- printf(M_VERSION);
+ puts(M_VERSION);
if (argc == 1)
{

@ -1,5 +1,5 @@
--- environ.c 2007-06-19 12:44:09 +0200
+++ environ.c.new 2007-06-19 12:44:37 +0200
--- a/environ.c
+++ b/environ.c
@@ -437,7 +437,6 @@
#endif

@ -1,7 +1,9 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
inherit eutils toolchain-funcs
EAPI=6
inherit toolchain-funcs
DESCRIPTION="Utility for opening arj archives"
HOMEPAGE="http://www.arjsoftware.com/"
@ -12,21 +14,18 @@ SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris ~x86-solaris"
IUSE=""
src_unpack() {
unpack ${A}
cd "${S}"
epatch "${FILESDIR}"/${P}-CAN-2004-0947.patch
epatch "${FILESDIR}"/${P}-sanitation.patch
epatch "${FILESDIR}"/${P}-gentoo-fbsd.patch
}
PATCHES=(
"${FILESDIR}"/${P}-CAN-2004-0947.patch
"${FILESDIR}"/${P}-sanitation.patch
"${FILESDIR}"/${P}-gentoo-fbsd.patch
"${FILESDIR}"/${PN}-2.65-Wformat-security.patch
)
src_compile() {
src_configure() {
tc-export CC
emake || die
}
src_install() {
dobin unarj || die 'dobin failed'
dodoc unarj.txt technote.txt || die 'dodoc failed'
dobin unarj
dodoc unarj.txt technote.txt
}

@ -1,8 +1,9 @@
# Copyright 1999-2012 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=2
inherit toolchain-funcs
EAPI=6
inherit flag-o-matic toolchain-funcs
DESCRIPTION="Makeself archive extractor"
HOMEPAGE="http://www.freshports.org/archivers/unmakeself"
@ -13,12 +14,21 @@ SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""
DEPEND="app-arch/libarchive[bzip2,zlib]"
RDEPEND="app-arch/libarchive:=[bzip2,zlib]"
DEPEND="${RDEPEND}
virtual/pkgconfig"
src_configure() {
append-cppflags $($(tc-getPKG_CONFIG) --cflags libarchive)
export LDLIBS=$($(tc-getPKG_CONFIG) --libs libarchive)
tc-export CC
}
src_compile() {
emake CC="$(tc-getCC)" LDLIBS=-larchive ${PN} || die "emake failed"
emake ${PN}
}
src_install() {
dobin unmakeself || die "dobin failed"
dobin unmakeself
}

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -14,7 +14,7 @@ S="${WORKDIR}/${PN}-${MY_PV}"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~hppa ~ppc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
KEYWORDS="~amd64 ~arm ~hppa ~ppc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
IUSE="nls"
DEPEND="nls? ( sys-devel/gettext )"

Binary file not shown.

@ -1 +1,2 @@
DIST borgbackup-1.1.3.tar.gz 2942183 BLAKE2B c7ca37459d35e06694cf9fdbef7328806cf03e6a4290368d47a2c06e1b6a0700d9dbba3efb170e130c7e59951d65ff8ca677955782150154f0ad2d12b93fe57b SHA512 8378e4f805bfb3e9a4e454f5ccfa58eef0517f13a2e8a2c3c6cbdb0304b763fa67152963b17d677daff09590eb777f12fbe1f3f69c3459bcc68781e5a747cb49
DIST borgbackup-1.1.4.tar.gz 3390046 BLAKE2B 27d1743718b9fdd303dbc7a01a586b9f87c119ed7f2464582a229bf2357c3f7d929bdf614689be7d7306a707e7332b8ae0ce5bd9898cea5af2311ca2210c5f41 SHA512 0853033f72406a2913dd74c6ebb8b33a318179843255c92481f5e4fdd0f436de6e4c77eed259a422e00bfadcf260facdfd00c813bb0628b82b8ff63a87e1bcfb

@ -0,0 +1,40 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python3_{4,5,6} )
inherit distutils-r1
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="https://github.com/${PN}/borg.git"
inherit git-r3
else
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
KEYWORDS="~amd64 ~x86"
fi
DESCRIPTION="Deduplicating backup program with compression and authenticated encryption"
HOMEPAGE="https://borgbackup.readthedocs.io/"
LICENSE="BSD"
SLOT="0"
IUSE="libressl"
# Unfortunately we have a file conflict with app-office/borg, bug #580402
RDEPEND="
!!app-office/borg
app-arch/lz4
dev-python/llfuse[${PYTHON_USEDEP}]
dev-python/msgpack[${PYTHON_USEDEP}]
dev-python/pyzmq[${PYTHON_USEDEP}]
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
"
DEPEND="
dev-python/setuptools_scm[${PYTHON_USEDEP}]
dev-python/cython[${PYTHON_USEDEP}]
${RDEPEND}
"

Binary file not shown.

@ -16,7 +16,7 @@ SRC_URI="http://download.virtualbox.org/virtualbox/${MY_PV}/${MY_P}.iso"
LICENSE="GPL-2+ LGPL-2.1+ MIT SGI-B-2.0 CDDL"
SLOT="0"
KEYWORDS="~amd64 x86"
KEYWORDS="amd64 x86"
IUSE=""
RESTRICT="mirror"

@ -34,7 +34,7 @@ SRC_URI="amd64? ( http://download.virtualbox.org/virtualbox/${MY_PV}/${MY_P}_amd
LICENSE="GPL-2 PUEL"
SLOT="0"
KEYWORDS="~amd64 x86"
KEYWORDS="amd64 x86"
IUSE="+additions +chm headless python vboxwebsrv rdesktop-vrdp"
RESTRICT="mirror"

@ -25,7 +25,7 @@ SRC_URI="http://download.virtualbox.org/virtualbox/${MY_PV}/${MY_P}.vbox-extpack
LICENSE="PUEL"
SLOT="0"
KEYWORDS="~amd64 x86"
KEYWORDS="amd64 x86"
IUSE=""
RESTRICT="mirror strip"

@ -15,7 +15,7 @@ SRC_URI="http://download.virtualbox.org/virtualbox/${MY_PV}/${MY_P}.tar.bz2
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 x86"
KEYWORDS="amd64 x86"
IUSE="X"
RDEPEND="X? ( x11-apps/xrandr

@ -15,7 +15,7 @@ SRC_URI="https://dev.gentoo.org/~polynomial-c/virtualbox/${MY_P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 x86"
KEYWORDS="amd64 x86"
IUSE="pax_kernel"
RDEPEND="!=app-emulation/virtualbox-9999"

@ -18,7 +18,7 @@ HOMEPAGE="http://www.virtualbox.org/"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 x86"
KEYWORDS="amd64 x86"
IUSE="alsa debug doc headless java libressl lvm pam pax_kernel pulseaudio +opengl python +qt5 +sdk +udev vboxwebsrv vnc"
RDEPEND="!app-emulation/virtualbox-bin

Binary file not shown.

@ -1,13 +0,0 @@
#!/bin/sh
. /lib/gentoo/functions.sh
# If there are no arguments, then "shift" will fail (bug 626496).
if [ $# -eq 0 ]; then
PHP_SLOT=$(eselect php show fpm)
else
PHP_SLOT=$1
shift
fi
exec "/usr/$(get_libdir)/${PHP_SLOT}/bin/php-fpm" "${@}"

Binary file not shown.

@ -0,0 +1,11 @@
--- a/galleta.c
+++ b/galleta.c
@@ -35,6 +35,8 @@
#include <stdio.h>
#include <time.h>
#include <math.h>
+#include <stdlib.h>
+#include <string.h>
#define STRSIZE 1000

@ -0,0 +1,12 @@
--- a/Makefile
+++ b/Makefile
@@ -1,7 +1,6 @@
-all: install
+LDLIBS += -lm
-install: galleta.c
- gcc -o galleta galleta.c -lm -lc;cp galleta ../bin
+all: galleta
installwin: galleta.c
gcc -DCYGWIN -o galleta.exe galleta.c -lm -lc;cp galleta.exe ../bin

@ -1,25 +1,32 @@
# Copyright 1999-2012 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit toolchain-funcs
MY_P=${PN}_${PV/_p/_}
DESCRIPTION="IE Cookie Parser"
HOMEPAGE="https://sourceforge.net/projects/odessa/"
SRC_URI="mirror://sourceforge/odessa/${MY_P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~ppc x86"
IUSE=""
S=${WORKDIR}/${MY_P}
S=${WORKDIR}/${MY_P}/src
PATCHES=(
"${FILESDIR}"/${P}-fix-build-system.patch
"${FILESDIR}"/${P}-Wimplicit-function-declaration.patch
)
src_compile() {
cd src
$(tc-getCC) ${CFLAGS} ${LDFLAGS} -o galleta galleta.c -lm -lc || die "failed to compile"
src_configure() {
tc-export CC
}
src_install() {
dodoc Readme.txt
dobin src/galleta
dobin ${PN}
dodoc ../{CHANGES,Readme.txt}
}

@ -0,0 +1,10 @@
--- a/pasco.c
+++ b/pasco.c
@@ -36,6 +36,7 @@
#include <stdio.h>
#include <time.h>
#include <math.h>
+#include <string.h>
//
/* This is the default block size for an activity record */

@ -0,0 +1,12 @@
--- a/Makefile
+++ b/Makefile
@@ -1,7 +1,6 @@
-all: install
+LDLIBS += -lm
-install: pasco.c
- gcc -o pasco pasco.c -lm -lc;cp pasco ../bin
+all: pasco
installwin: pasco.c
gcc -DCYGWIN -o pasco.exe pasco.c -lm -lc;cp pasco.exe ../bin

@ -1,7 +1,7 @@
# Copyright 1999-2012 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
EAPI=6
inherit toolchain-funcs
@ -10,17 +10,23 @@ MY_P=${PN}_${PV/_p/_}
DESCRIPTION="IE Activity Parser"
HOMEPAGE="https://sourceforge.net/projects/odessa/"
SRC_URI="mirror://sourceforge/odessa/${MY_P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
KEYWORDS="~amd64 ~ppc x86"
IUSE=""
S="${WORKDIR}/${MY_P}/src"
S=${WORKDIR}/${MY_P}/src
PATCHES=(
"${FILESDIR}"/${P}-fix-build-system.patch
"${FILESDIR}"/${P}-Wimplicit-function-declaration.patch
)
src_compile() {
$(tc-getCC) ${CFLAGS} ${LDFLAGS} -o ${PN} ${PN}.c -lm -lc || die "failed to compile"
src_configure() {
tc-export CC
}
src_install() {
dobin ${PN}
dodoc ../{CHANGES,Readme.txt}
}

@ -1,24 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
inherit toolchain-funcs
MY_P=${PN}_${PV/_p/_}
DESCRIPTION="IE Activity Parser"
HOMEPAGE="https://sourceforge.net/projects/odessa/"
SRC_URI="mirror://sourceforge/odessa/${MY_P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~ppc x86"
IUSE=""
S=${WORKDIR}/${MY_P}
src_compile() {
cd src
$(tc-getCC) ${CFLAGS} ${LDFLAGS} -o pasco pasco.c -lm -lc || die "failed to compile"
}
src_install() {
dobin src/pasco
}

@ -0,0 +1,11 @@
--- a/rifiuti.c
+++ b/rifiuti.c
@@ -35,6 +35,8 @@
#include <stdio.h>
#include <time.h>
#include <math.h>
+#include <stdlib.h>
+#include <string.h>
#ifdef CYGWIN
ssize_t pread( int d, void *buf, size_t nbytes, off_t offset) {

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save